Packages

From jalimo (inactive) Wiki
Jump to: navigation, search

There are different ways to install the Jalimo packages depending on your device and distribution.

Contents

Maemo

Jalimo provides binary and source packages for the Maemo 3.x and Maemo 4.x environment on Nokia's Internet Tablet devices. These work on IT OS 2008, IT OS 2007, and the N770 Hacker edition IT OS. You can find the binary package here: Download. Installing them on your N800 can be easily done, using the Single-Click-Install:

(requires Red-Pill mode in Application Manager)

You can also add the following repository information using the program manager:

Maemo 4.0, IT OS 2008, N800/N810

Repository: http://jalimo.evolvis.org/repository/maemo/
Distribution: maemo4.0
Component: user

These packages are for the N8x0 devices only. If you attempt to install those on the N770 you will get 'illegal instruction' errors! Use the package repository for the N770 Hacker Edition instead (see below).

If you prefer the shell, add the following line to the line to /etc/apt/sources.list:

deb http://jalimo.evolvis.org/repository/maemo/ maemo4.0 user

Since we try to build all our packages with OpenEmbedded, we do not provide Debian source packages.

Important: Jalimo distribution called 'chinook' is deprecated! We formerly provided a Jalimo distribution with the name 'chinook'. As of 2008-02-16 this is deprecated. Please use 'maemo4.0' instead.

If you have packages from this distribution installed and want to upgrade please do the following:

  • Use program manager or 'apt-get' to uninstall the packages 'classpath-common' and 'libswt-gtk-3.4-jni'. This should wipe out all depending packages.
  • Modify the 'Jalimo' catalogue and change the distribution from 'chinook' to 'maemo4.0'.
  • Reinstall the Jalimo packages, e.g. by installing the 'jalimo-swt-example'.

Maemo 4.0, IT OS 2008 Hacker Edition, N770

Repository: http://jalimo.evolvis.org/repository/maemo-he/
Distribution: maemo4.0
Component: user

If you prefer the shell, add the following line to the line to /etc/apt/sources.list:

deb http://jalimo.evolvis.org/repository/maemo-he/ maemo4.0 user

These packages are compiled for the N770. Since we try to build all our packages with OpenEmbedded, we do not provide Debian source packages.

Maemo 3.x, IT OS 2007

Note: IT OS 2007 is not actively maintained any more since this distribution is too limited. Use IT OS 2008.

Repository: http://jalimo.evolvis.org/repository/maemo/
Distribution: maemo3.2
Component: user

If you prefer the shell, add the following line to the line to /etc/apt/sources.list:

deb http://jalimo.evolvis.org/repository/maemo/ maemo3.2 user

Since we try to build all our packages with OpenEmbedded, we do not provide debian source packages.

OpenMoko

OpenMoko provides most of Jalimo's packages through their own repositories.

Unfortunately some packages have not been merged yet and are available through Jalimo's repositories only. Run the following two commands to add them:

echo "src/gz jalimo http://jalimo.evolvis.org/repository/openmoko/all" > /etc/opkg/jalimo-feed-all.conf
echo "src/gz jalimo-armv4t http://jalimo.evolvis.org/repository/openmoko/armv4t" > /etc/opkg/jalimo-feed-armv4t.conf


unsatisfied libgcc-s1 dependency

Currently you will get an error when installing OpenMoko packages from our repository since we are using OpenEmbedded's .dev branch to built the packages but OpenMoko is not. A workaround is to add -force-depends to the 'opkg' command until we figured this out.

iRex Ereader

Preliminary packages have been compiled for the OE-built distribution on the iRex Ereader. Open /etc/ipkg.conf with your favorite text editor and add the following line to it:

src jalimo http://jalimo.org/iliad/jalimo